import React from 'react';
export declare type AnchorLinkProps = {
    children: React.ReactNode;
    className?: string;
    gatsbyLinkProps?: {
        activeClassName?: string;
        activeStyle?: {
            [x: string]: number | string;
        };
        className?: string;
        onClick?: React.MouseEventHandler | undefined;
        partiallyActive?: boolean;
        replace?: boolean;
        state?: object;
        to?: string;
    };
    onAnchorLinkClick?: React.MouseEventHandler | undefined;
    stripHash?: boolean;
    to: string;
};
declare function AnchorLink({ children, className, gatsbyLinkProps, onAnchorLinkClick, stripHash, to, }: AnchorLinkProps): JSX.Element;
export default AnchorLink;
//# sourceMappingURL=AnchorLink.d.ts.map