// Copyright (c) 2021 Visiosto oy
// Licensed under the MIT License
import React from 'react';
import { render } from '@testing-library/react';
import AnchorLink from '../AnchorLink';
describe('Anchor link component', function () {
    it('renders correctly', function () {
        var _a = render(React.createElement(AnchorLink, { to: "/some-page#something" }, "A link")), container = _a.container, getByText = _a.getByText;
        expect(container).toMatchSnapshot();
        expect(getByText('A link')).toBeInTheDocument();
    });
});
